org.apache.maven.shared.io.scan.mapping

## Interface SourceMapping

All Known Implementing Classes:
  SingleTargetMapping, SuffixMapping

    public interface SourceMapping

Version:
  $Id: SourceMapping.java 1719477 2015-12-11 17:33:58Z khmarbaise $
Author:
  jdcasey

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<File>` `getTargetFiles(File targetDir, String source)`

### Method Detail

#### getTargetFiles

    Set<File> getTargetFiles(File targetDir,
                             String source)
                      throws InclusionScanException

Parameters:
  `targetDir` - target directory.
  `source` - source.
Returns:
  list of target files.
Throws:
  `InclusionScanException` - in case of an error.